bitel.billing.server.call.bean

## Class NAS

- java.lang.Object
- - bitel.billing.server.call.bean.NAS

-     public class NAS
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NAS()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCommonConfigIds()`
    `Preferences` | `getConfig()`
    `int` | `getConfigId()`
    `java.lang.String` | `getConfigString()`
    `int` | `getId()`
    `java.lang.String` | `getIdentifier()`
    `long` | `getIpAddr()`
    `long` | `getIpAddress()`
    `java.lang.String` | `getScript()`
    `java.lang.String` | `getSecret()`
    `int` | `getVendor()`
    `void` | `setCommonConfigIds(java.lang.String commonConfigIds)`
    `void` | `setConfig(Preferences setup)`
    `void` | `setConfigId(int configId)`
    `void` | `setConfigString(java.lang.String configString)`
    `void` | `setId(int value)`
    `void` | `setIdentifier(java.lang.String value)`
    `void` | `setIpAddr(long ipAddr)`
    `void` | `setScript(java.lang.String script)`
    `void` | `setSecret(java.lang.String value)`
    `void` | `setVendor(int value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NAS

          public NAS()

  - ### Method Detail

    - #### setId

          public void setId(int value)

    - #### getIpAddr

          public long getIpAddr()

    - #### setIpAddr

          public void setIpAddr(long ipAddr)

    - #### setConfigId

          public void setConfigId(int configId)

    - #### setVendor

          public void setVendor(int value)

    - #### setIdentifier

          public void setIdentifier(java.lang.String value)

    - #### setConfig

          public void setConfig(Preferences setup)

    - #### setSecret

          public void setSecret(java.lang.String value)

    - #### getScript

          public java.lang.String getScript()

    - #### setScript

          public void setScript(java.lang.String script)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getId

          public int getId()

    - #### getConfig

          public Preferences getConfig()

    - #### getIdentifier

          public java.lang.String getIdentifier()

    - #### getIpAddress

          public long getIpAddress()

    - #### getSecret

          public java.lang.String getSecret()

    - #### getVendor

          public int getVendor()

    - #### getConfigId

          public int getConfigId()

    - #### setCommonConfigIds

          public void setCommonConfigIds(java.lang.String commonConfigIds)

    - #### getCommonConfigIds

          public java.lang.String getCommonConfigIds()

    - #### getConfigString

          public java.lang.String getConfigString()

    - #### setConfigString

          public void setConfigString(java.lang.String configString)